/***************************************************************************
                Process Test Class
                -----------------------------------------
    begin      : 2015/10/03
	copyright  : (C) 2005 Solbox Inc.
    author     : Dev 1 Team
    email      : dev1@solbox.com
    version    : 3.2.0

    CopyRight(C) 2005 Solbox Inc. All Rights reserved.
    Redistribution and use in source and binary forms, with or with out
    modification, are not permitted in outside of Solbox Inc.
*****************************************************************************/

#ifndef __WROK_FHS_INFO_UPDATER_H__
#define __WROK_FHS_INFO_UPDATER_H__

#include "Process.h"
#include "LogFileCleaner.h"
#include "LogFileSender.h"

class  CWorker : public CProcess
{
public:
	CWorker();
	virtual ~CWorker();

	pid_t Launcher(const sig_atomic_t *sighandle);


private:
	void	do_work(const sig_atomic_t *sighandle);
	CLogFileCleaner m_objLogFileCleaner;

	CLogFileSender m_objLogFileSender;
};
 
#endif // __WROK_FHS_INFO_UPDATER_H__

